Webhook Subscription

GET
/v1/webhooks/{webhookSubscriptionId}

Get a Webhook Subscription by ID.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

webhookSubscriptionId*string
Formatuuid

Response Body

The Webhook Subscription

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/webhooks/{webhookSubscriptionId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "cb452b81-6748-40ab-af85-6559b371bc5d",
"name": "Dashboard Integration",
"subscribedEvents": [
"ConversationCreated",
"ConversationClosed"
],
"url": "https://example.webhook/dashboard_integration",
"headers": {
"Authorization": "Basic d2ViaG9va191c2VyOndlYmhvb2tfcGFzc3dvcmQ="
},
"secretKey": "4g4h988p468g785965b780684bde5546c52gge658d76b4q33fb69c526ea4bdbc",
"enabled": true,
"createdAt": "2023-08-01T09:30:15Z",
"createdBy": "e979cc3b-17b2-4850-b049-13c758763d1c",
"updatedAt": "2023-08-02T15:09:30Z",
"updatedBy": "64b777c3-eb82-49fb-bb3e-294afb5d840c",
"filters": {
"Conversation": {
"strategy": "All",
"conditions": [
{
"field": "InitialChannel",
"values": [
"email",
"pstn_phone"
],
"_type": "IsOneOf"
},
{
"field": "QueueId",
"values": [
"f0475e4c-64ae-4c8e-8644-4ed10dc8d752"
],
"_type": "IsNotOneOf"
},
{
"field": "OperationOrigin",
"values": [
"ApiImport"
],
"_type": "IsNotOneOf"
}
],
"_type": "CombinedFilters"
}
}
}
}